
// http://ricostacruz.com/jquery.transit/


var transit = {

	init: function() {	
	
		var $obj = $("ul li");

		if (!$obj.length) return;
 
		$("html").removeClass("no-js");

  	$($obj).hover(function(){
			var left = $(this).parents('ul').length == 1 ? 0 : 150;
			transit.exec($(this),1,'26px',left);
		},function(){
				transit.exec($(this),0,0,-99999);
		});

	},
	exec: function ($obj,opacity,height,left) {
		var $ul = $obj.children('ul');
		var $li = $ul.children('li');
		$ul.css({left:left});
		$ul.stop(true,true).transition({ 
			opacity:opacity
		},1000);
		$li.stop(true,true).transition({ 
			height:height
		},300);
	}
	
};

$(document).ready(transit.init);

